{
  "IdentitySettings": {
    "Password": { "RequireDigit": false, "RequiredLength": 4, "RequireNonAlphanumeric": false, "RequireUppercase": false, "RequireLowercase": false, "RequiredUniqueChars": 0 },
    "Cookies": { "Name": ".AspNetCore.Identity", "LoginPath": "/account/login", "LogoutPath": "/account/logout", "AccessDeniedPath": "/account/access-denied", "ExpireDays": 7 },
    "DefaultAdmin": { "FullName": "Super Admin", "Email": "admin@root.com", "Password": "123456" },
    "SignIn": { "RequireConfirmedAccount": true },
    "SsoFirebase": { "IsUsed": true, "OpenForPublic": true, "ProjectId": "sso-firebase-ea811", "ApiKey": "AIzaSyCr4ihZDDi8Sx_4gj4Qefu5QhygEZy9oXQ", "AuthDomain": "sso-firebase-ea811.firebaseapp.com", "StorageBucket": "sso-firebase-ea811.firebasestorage.app", "MessagingSenderId": "667215413835", "AppId": "1:667215413835:web:38d20ecedd582d008e43ce" },
    "SsoKeycloak": { "IsUsed": false, "Authority": "", "ClientId": "", "ClientSecret": "", "RequireHttpsMetadata": true }
  },
  "JwtSettings": { "Key": "PRAGMATIC_FIX_KEY_MIN_32_CHARS_LONG_2026", "Issuer": "soltemp_Issuer", "Audience": "soltemp_Users", "DurationInMinutes": 1440 },
  "Logging": { "LogLevel": { "Default": "Information", "Microsoft.AspNetCore": "Information", "Hangfire": "Information" } },
  "AllowedHosts": "*",
  "DatabaseSettings": {
    "MsSQL": { "IsUsed": true, "ConnectionString": "Server=mssql,1433;Database=Blazor-SCM;User Id=sa;Password=nw9703AZz6YmgB@G;TrustServerCertificate=True;", "TimeoutInSeconds": 1800 },
    "MySQL": { "IsUsed": false, "ConnectionString": "", "TimeoutInSeconds": 1800 },
    "PostgreSQL": { "IsUsed": false, "ConnectionString": "", "TimeoutInSeconds": 1800 }
  },
  "BackgroundJobSettings": {
    "Hangfire": { "IsUsed": true, "ConnectionString": "Server=mssql,1433;Database=Blazor-SCM-Hangfire;User Id=sa;Password=nw9703AZz6YmgB@G;TrustServerCertificate=True;", "DashboardPath": "/hangfire" },
    "Quartz": { "IsUsed": false, "TablePrefix": "QRTZ_" }
  },
  "EmailSettings": {
    "SendGrid": { "IsUsed": false, "ApiKey": "", "FromEmail": "" },
    "Mailgun": { "IsUsed": false, "ApiKey": "", "Domain": "", "FromEmail": "" },
    "Mailjet": { "IsUsed": false, "ApiKey": "", "ApiSecret": "", "FromEmail": "" },
    "Smtp": { "IsUsed": true, "Host": "smtp.gmail.com", "Port": 465, "UserName": "go2ismail@gmail.com", "Password": "lrbi cooi gcnt oquw", "FromAddress": "go2ismail@gmail.com", "FromName": "no-reply" }
  },
  "FileStorageSettings": {
    "Avatar": { "IsUsed": true, "StoragePath": "avatars", "BaseUrl": "https://scm.indotalent.com/avatars" },
    "Local": { "IsUsed": true, "StoragePath": "uploads", "BaseUrl": "https://scm.indotalent.com/uploads" },
    "AwsS3": { "IsUsed": false, "AccessKey": "", "SecretKey": "", "BucketName": "" },
    "AzureBlob": { "IsUsed": false, "ConnectionString": "", "ContainerName": "" },
    "GoogleCloud": { "IsUsed": false, "ProjectId": "", "BucketName": "" },
    "Dropbox": { "IsUsed": false, "AccessToken": "" }
  },
  "LoggerSettings": {
    "File": { "IsUsed": true, "Path": "wwwroot/xlogs/app-log-.txt", "RollingInterval": "Day" },
    "Database": { "IsUsed": true, "TableName": "SerilogLogs", "AutoCreateSqlTable": false },
    "Seq": { "IsUsed": false, "ServerUrl": "" }
  }
}